#pragma semicolon 1

#define DEBUG

#define PLUGIN_AUTHOR "kRatoss"
#define PLUGIN_VERSION "0.1"

#define OWNER "OWNER"
#define CO "CO"
#define MOD "MOD"
#define ADMIN "ADMIN"
#define VIP "VIP"

#include <sourcemod>
#include <sdktools>

#pragma newdecls required

public Plugin myinfo = 
{
	name = "NEW VIP INFO",
	author = PLUGIN_AUTHOR,
	description = "New VIP Info",
	version = PLUGIN_VERSION,
	url = "kround.ro"
};

public void OnPluginStart()
{
	RegConsoleCmd("sm_info", Command_info, "Opens the menu!");
	RegConsoleCmd("sm_vipinfo", Command_info, "Opens the menu!");
	
	//COMMANDS PENTRU GRAE & VIP
	RegConsoleCmd("sm_info_own", Command_Owner);
	RegConsoleCmd("sm_info_co", Command_Co);
	RegConsoleCmd("sm_info_mod", Command_Mod);
	RegConsoleCmd("sm_info_admin", Command_Admin);
	RegConsoleCmd("sm_info_vip", Command_Vip);
	
	//Some Info Timers
	CreateTimer(15.0, Timer_Info1);
}

public Action Timer_Info1(Handle timer)
{
	if (GetRandomInt(0, 1) == 0)
		PrintToChatAll("\x01 \x04[VIP★ INFO]\x0C  TYPE\x02  !INFO\x0C  FOR ALL\x02  VIP★\x0C  INFORMATION");
				
	else
		PrintToChatAll("\x01 \x04[VIP★ INFO]\x0C  SCRIE\x02  !INFO\x0C  PENTRU TOATE DETALIILE\x02  VIP★");	
}

//MAIN MENU
//
public Action Command_info(int iId, int args)
{
	if(IsClientInGame(iId))
	{
		Menu MAIN_MENU = new Menu(MenuHandler1);
		
		MAIN_MENU.SetTitle("★PETURI (!GRADE, !OWNER)★");
		
		MAIN_MENU.AddItem(OWNER, "★Owner ➤ 35 EURO");
		MAIN_MENU.AddItem(CO, "★Co-Owner ➤ 25 EURO");
		MAIN_MENU.AddItem(MOD, "★Moderator ➤ 15 EURO");
		MAIN_MENU.AddItem(ADMIN, "★Admin ➤ 10 EURO ");
		MAIN_MENU.AddItem(VIP, "★VIP => 10/15 EURO");
		
		MAIN_MENU.AddItem("", "Contact kRatoss To Buy!", ITEMDRAW_DISABLED);
		MAIN_MENU.AddItem("", "PaySafe/CS:GO Skins/PayPal", ITEMDRAW_DISABLED);

		MAIN_MENU.Display(iId, MENU_TIME_FOREVER);
	}

}

public int MenuHandler1(Handle MAIN_MENU, MenuAction action, int param1, int param2)
{
	switch(action)
	{
		case MenuAction_Select:
		{
			char item[64];

			GetMenuItem(MAIN_MENU, param2, item, sizeof(item));


			if(StrEqual(item, "OWNER"))
			{
				ClientCommand(param1, "sm_info_own");
			}
			else if(StrEqual(item, "CO"))
			{
				ClientCommand(param1, "sm_info_co");
			}
			else if(StrEqual(item, "MOD"))
			{
				ClientCommand(param1, "sm_info_mod");
			}
			else if(StrEqual(item, "ADMIN"))
			{
				ClientCommand(param1, "sm_info_admin");
			}
			else if(StrEqual(item, "VIP"))
			{
				ClientCommand(param1, "sm_info_vip");
			} 			
		}
	}
}

//CO-OWNER INFO MENU
//
public Action Command_Co(int iId, int args)
{
	Menu comenu = new Menu(MenuCoHandler);
	
	comenu.SetTitle("★PRETURI (!GRADE, !OWNER)★");
	
	comenu.AddItem("", "★ Tag in Chat & Tab");
	comenu.AddItem("", "★ Acces to BANS");
	comenu.AddItem("", "★ Accest to MAP Change");
	comenu.AddItem("", "★ VERY HIGH Admin Immunity");
	comenu.AddItem("", "★ Acces to RENAME");
	comenu.AddItem("", "★ Acces to Gag, Slay, Kick, etc.");
	
	comenu.ExitBackButton = true;

	comenu.Display(iId, MENU_TIME_FOREVER);
}

public int MenuCoHandler(Handle comenu, MenuAction pAction, int iId, int iOption)
{
	if (pAction == MenuAction_End)
	{
		CloseHandle(comenu);
		comenu = INVALID_HANDLE;
	}
}

//TRUSTED INFO MENU
//
public Action Command_Owner(int iId, int args)
{
	Menu OwnMenu = new Menu(OwnMenuHandler);

	OwnMenu.SetTitle("★PRETURI (!GRADE, !OWNER)★");
		
	OwnMenu.AddItem("", "★ Tag in Chat & Tab");
	OwnMenu.AddItem("", "★ Acces To All Server Comamnds");
	OwnMenu.AddItem("", "★ High Admin Immunity");
	OwnMenu.AddItem("", "★ Entry Songs");
	
	OwnMenu.ExitBackButton = true;

	OwnMenu.Display(iId, MENU_TIME_FOREVER);
}

public int OwnMenuHandler(Handle OwnMenuHandler, MenuAction pAction, int iId, int iOption)
{
	if (pAction == MenuAction_End)
	{
		CloseHandle(OwnMenuHandler);
		OwnMenuHandler = INVALID_HANDLE;
	}
}

//MODERATOR INFO MENU
//
public Action Command_Mod(int iId, int args)
{
	Menu MODmenu = new Menu(MODmenuHandler);

	MODmenu.SetTitle("★PRETURI (!GRADE, !OWNER)★");

	MODmenu.AddItem("", "★ Tag in Chat & Tab");
	MODmenu.AddItem("", "★ Acces to BANS");
	MODmenu.AddItem("", "★ Accest to MAP Change");
	MODmenu.AddItem("", "★ Normal Admin Immunity");
	MODmenu.AddItem("", "★ Acces to RENAME");	
	MODmenu.AddItem("", "★ Acces to Gag, Slay, Kick");
	
	MODmenu.ExitBackButton = true;

	MODmenu.Display(iId, MENU_TIME_FOREVER);
}

public int MODmenuHandler(Handle MODmenuHandler, MenuAction pAction, int iId, int iOption)
{
	if (pAction == MenuAction_End)
	{
		CloseHandle(MODmenuHandler);
		MODmenuHandler = INVALID_HANDLE;
	}
}


//MODERATOR INFO MENU
//
public Action Command_Admin(int iId, int args)
{
	Menu ADMINmenu = new Menu(ADMINmenuHandler);

	ADMINmenu.SetTitle("★PRETURI (!GRADE, !OWNER)★");
		
	ADMINmenu.AddItem("", "★ Tag in Chat & Tab");
	ADMINmenu.AddItem("", "★ Acces to BANS");
	ADMINmenu.AddItem("", "★ Accest to MAP Change");
	ADMINmenu.AddItem("", "★ Low Admin Immunity");
	ADMINmenu.AddItem("", "★ Acces to Gag, Slay, Kick");
	
	ADMINmenu.ExitBackButton = true;

	ADMINmenu.Display(iId, MENU_TIME_FOREVER);
}

public int ADMINmenuHandler(Handle ADMINmenuHandler, MenuAction pAction, int iId, int iOption)
{
	if (pAction == MenuAction_End)
	{
		CloseHandle(ADMINmenuHandler);
		ADMINmenuHandler = INVALID_HANDLE;
	}
}


//MODERATOR INFO MENU
//
public Action Command_Vip(int iId, int args)
{
	Menu VIPmenu = new Menu(VIPmenuHandler);

	VIPmenu.SetTitle("★PRETURI (!GRADE, !OWNER)★");

	VIPmenu.AddItem("", "★ ★ PLATINA => 15 EURO");
	VIPmenu.AddItem("", "★ ★ GOLD => 10 EURO");

	VIPmenu.ExitBackButton = true;

	VIPmenu.Display(iId, MENU_TIME_FOREVER);
}

public int VIPmenuHandler(Handle VIPmenuHandler, MenuAction pAction, int iId, int iOption)
{
	if (pAction == MenuAction_End)
	{
		CloseHandle(VIPmenuHandler);
		VIPmenuHandler = INVALID_HANDLE;
	}
}